tigase.db.derby

## Class StoredProcedures

- java.lang.Object
- - tigase.db.derby.StoredProcedures

-     public class StoredProcedures
      extends Object

  Class description
  Version:
    5.1.0, 2010.09.11 at 02:08:58 BST
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoredProcedures()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `tigActiveAccounts(ResultSet[] data)` Method description
    `static void` | `tigAddNode(long parentNid, long uid, String node, ResultSet[] data)` Method description
    `static void` | `tigAddUser(String userId, String userPw, ResultSet[] data)` Method description
    `static void` | `tigAddUserPlainPw(String userId, String userPw, ResultSet[] data)` Method description
    `static void` | `tigAllUsers(ResultSet[] data)` Method description
    `static void` | `tigAllUsersCount(ResultSet[] data)` Method description
    `static void` | `tigDisableAccount(String userId)` Method description
    `static void` | `tigDisabledAccounts(ResultSet[] data)` Method description
    `static void` | `tigEnableAccount(String userId)` Method description
    `static String` | `tigGetDBProperty(String key)` Method description
    `static void` | `tigGetPassword(String userId, ResultSet[] data)` Method description
    `static void` | `tigGetUserDBUid(String userId, ResultSet[] data)` Method description
    `static void` | `tigInitdb()` Method description
    `static void` | `tigOfflineUsers(ResultSet[] data)` Method description
    `static void` | `tigOnlineUsers(ResultSet[] data)` Method description
    `static void` | `tigPutDBProperty(String key, String value)` Method description
    `static void` | `tigRemoveUser(String userId)` Method description
    `static void` | `tigUpdatePairs(long nid, long uid, String key, Clob value)`
    `static void` | `tigUpdatePassword(String userId, String userPw)` Method description
    `static void` | `tigUpdatePasswordPlainPw(String userId, String userPw)` Method description
    `static void` | `tigUpdatePasswordPlainPwRev(String userPw, String userId)` Method description
    `static void` | `tigUserLogin(String userId, String userPw, ResultSet[] data)` Method description
    `static void` | `tigUserLoginPlainPw(String userId, String userPw, ResultSet[] data)` Method description
    `static void` | `tigUserLogout(String userId)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StoredProcedures

          public StoredProcedures()

  - ### Method Detail

    - #### tigActiveAccounts

          public static void tigActiveAccounts(ResultSet[] data)
                                        throws SQLException

      Method description
      Parameters:
        `data` -
      Throws:
        `SQLException`

    - #### tigAddNode

          public static void tigAddNode(long parentNid,
                                        long uid,
                                        String node,
                                        ResultSet[] data)
                                 throws SQLException

      Method description
      Parameters:
        `parentNid` -
        `uid` -
        `node` -
        `data` -
      Throws:
        `SQLException`

    - #### tigAddUser

          public static void tigAddUser(String userId,
                                        String userPw,
                                        ResultSet[] data)
                                 throws SQLException

      Method description
      Parameters:
        `userId` -
        `userPw` -
        `data` -
      Throws:
        `SQLException`

    - #### tigAddUserPlainPw

          public static void tigAddUserPlainPw(String userId,
                                               String userPw,
                                               ResultSet[] data)
                                        throws SQLException

      Method description
      Parameters:
        `userId` -
        `userPw` -
        `data` -
      Throws:
        `SQLException`

    - #### tigAllUsers

          public static void tigAllUsers(ResultSet[] data)
                                  throws SQLException

      Method description
      Parameters:
        `data` -
      Throws:
        `SQLException`

    - #### tigAllUsersCount

          public static void tigAllUsersCount(ResultSet[] data)
                                       throws SQLException

      Method description
      Parameters:
        `data` -
      Throws:
        `SQLException`

    - #### tigDisableAccount

          public static void tigDisableAccount(String userId)
                                        throws SQLException

      Method description
      Parameters:
        `userId` -
      Throws:
        `SQLException`

    - #### tigDisabledAccounts

          public static void tigDisabledAccounts(ResultSet[] data)
                                          throws SQLException

      Method description
      Parameters:
        `data` -
      Throws:
        `SQLException`

    - #### tigEnableAccount

          public static void tigEnableAccount(String userId)
                                       throws SQLException

      Method description
      Parameters:
        `userId` -
      Throws:
        `SQLException`

    - #### tigGetDBProperty

          public static String tigGetDBProperty(String key)
                                         throws SQLException

      Method description
      Parameters:
        `key` -
      Throws:
        `SQLException`

    - #### tigGetPassword

          public static void tigGetPassword(String userId,
                                            ResultSet[] data)
                                     throws SQLException

      Method description
      Parameters:
        `userId` -
        `data` -
      Throws:
        `SQLException`

    - #### tigGetUserDBUid

          public static void tigGetUserDBUid(String userId,
                                             ResultSet[] data)
                                      throws SQLException

      Method description
      Parameters:
        `userId` -
        `data` -
      Throws:
        `SQLException`

    - #### tigInitdb

          public static void tigInitdb()
                                throws SQLException

      Method description
      Throws:
        `SQLException`

    - #### tigOfflineUsers

          public static void tigOfflineUsers(ResultSet[] data)
                                      throws SQLException

      Method description
      Parameters:
        `data` -
      Throws:
        `SQLException`

    - #### tigOnlineUsers

          public static void tigOnlineUsers(ResultSet[] data)
                                     throws SQLException

      Method description
      Parameters:
        `data` -
      Throws:
        `SQLException`

    - #### tigPutDBProperty

          public static void tigPutDBProperty(String key,
                                              String value)
                                       throws SQLException

      Method description
      Parameters:
        `key` -
        `value` -
      Throws:
        `SQLException`

    - #### tigRemoveUser

          public static void tigRemoveUser(String userId)
                                    throws SQLException

      Method description
      Parameters:
        `userId` -
      Throws:
        `SQLException`

    - #### tigUpdatePairs

          public static void tigUpdatePairs(long nid,
                                            long uid,
                                            String key,
                                            Clob value)
                                     throws SQLException

      Parameters:
        `nid` -
        `uid` -
        `key` -
        `value` -
      Throws:
        `SQLException`

    - #### tigUpdatePassword

          public static void tigUpdatePassword(String userId,
                                               String userPw)
                                        throws SQLException

      Method description
      Parameters:
        `userId` -
        `userPw` -
      Throws:
        `SQLException`

    - #### tigUpdatePasswordPlainPw

          public static void tigUpdatePasswordPlainPw(String userId,
                                                      String userPw)
                                               throws SQLException

      Method description
      Parameters:
        `userId` -
        `userPw` -
      Throws:
        `SQLException`

    - #### tigUpdatePasswordPlainPwRev

          public static void tigUpdatePasswordPlainPwRev(String userPw,
                                                         String userId)
                                                  throws SQLException

      Method description
      Parameters:
        `userPw` -
        `userId` -
      Throws:
        `SQLException`

    - #### tigUserLogin

          public static void tigUserLogin(String userId,
                                          String userPw,
                                          ResultSet[] data)
                                   throws SQLException

      Method description
      Parameters:
        `userId` -
        `userPw` -
        `data` -
      Throws:
        `SQLException`

    - #### tigUserLoginPlainPw

          public static void tigUserLoginPlainPw(String userId,
                                                 String userPw,
                                                 ResultSet[] data)
                                          throws SQLException

      Method description
      Parameters:
        `userId` -
        `userPw` -
        `data` -
      Throws:
        `SQLException`

    - #### tigUserLogout

          public static void tigUserLogout(String userId)
                                    throws SQLException

      Method description
      Parameters:
        `userId` -
      Throws:
        `SQLException`

Copyright © 2018 "Tigase, Inc.". All rights reserved.